Subject: Re: [PATCH v2 02/15] pack-bitmap: fix leak of haves/wants object lists

From: Derrick Stolee <[email-masked]>
Date: Tue, 18 Feb 2020 12:58:10 -0500

On 2/14/2020 1:22 PM, Jeff King wrote:
> When we do a bitmap-aware revision traversal, we create an object_list
> for each of the "haves" and "wants" tips. After creating the result
> bitmaps these are no longer needed or used, but we never free the list
> memory.

It's surprising that we got away with this for so long. Is it
possible that this loop of freeing memory could provide significant
performance drawbacks? I'm assuming that the free() loop is much
faster than the malloc() loop, so the impact is negligible.

Thanks,
-Stolee